
Partial Class Customers_Default2
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, e As EventArgs) Handles Me.Load

        If Page.IsPostBack Then
            Page.MaintainScrollPositionOnPostBack = True
            VERAG_VARIABLES.initerrorcount()
        Else
            Page.MaintainScrollPositionOnPostBack = False
            VERAG_VARIABLES.initerrorcount()
        End If
    End Sub
    Protected Sub Button1_Click(sender As Object, e As EventArgs)
        If String.IsNullOrEmpty(TextBox1.Text) = False And String.IsNullOrEmpty(TextBox2.Text) = False Then
            VERAG_VARIABLES.initerrorcount()
            Dim vals As New List(Of String)
            Dim finalstr As String = ""
            For i As Integer = Integer.Parse(TextBox1.Text)+1 To Integer.Parse(TextBox2.Text)

                Dim strtemp As String = ""
                VERAG_VARIABLES.seterrorcount(Integer.Parse(i))
                vals.Add(i.ToString + Space(3) + ":" + Space(3) + VERAG_VARIABLES.geterrornumb)
            Next
            For Each val As String In vals
                finalstr = finalstr + Environment.NewLine + val + Environment.NewLine
            Next
            Label2.Text = finalstr
        End If
        If String.IsNullOrEmpty(txt_Fehlercode.Text) = False Then
            Dim finalstr As String = String.Empty
            finalstr = VERAG_VARIABLES.getErrorcodeindez(txt_Fehlercode.Text)
            txt_Fehlercodezuzahl.Text = finalstr
        End If
    End Sub
End Class
